| Version: 3.0.4

Public Member Functions | List of all members
wxTreeItemId Class Reference
Class List by Category » Data Structures

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/treebase.h>`

## Detailed Description

An opaque reference to a tree item.

##

Library: wxCore

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxTreeCtrl, wxTreeItemData, wxTreeCtrl Overview

## Public Member Functions
| wxTreeItemId ()
| Default constructor. More...
bool | IsOk () const
| Returns true if this instance is referencing a valid tree item. More...
void * | GetID () const
void | Unset ()

## Constructor & Destructor Documentation

## ◆ wxTreeItemId()

wxTreeItemId::wxTreeItemId | ( |  | ) |

Default constructor.

A wxTreeItemId is not meant to be constructed explicitly by the user; only those returned by the wxTreeCtrl functions should be used.

## Member Function Documentation

## ◆ GetID()

void* wxTreeItemId::GetID | ( |  | ) | const

## ◆ IsOk()

bool wxTreeItemId::IsOk | ( |  | ) | const

Returns true if this instance is referencing a valid tree item.

## ◆ Unset()

void wxTreeItemId::Unset | ( |  | ) |